unit Capsedit;

{
  TCapsEdit Component
  John Baumbach                          Delphi 1.0 and 2.0
  email: mantis@vcnet.com               Copyright (c) 1-12-96
  http://www.vcnet.com/mantis             by John Baumbach

  Installing Component to Toolbar:
  This component is currently set up to be added to the "Samples"
  palette of the toolbar.  If you wish to add it to a different
  one, change the word "Samples" to the name of the desired
  palette in the "Register" procedure below.

  Select "Options | Install Components" and select "Add", then
  "capsedit.pas" from the directory where you unzipped this file.
  Delphi will then recompile the toolbar and the "TCapsEdit"
  component will be added to the palette!

  If you want to keep this component permanently, copy the "capsedit.pas"
  and "capsedit.dcr" files to the "Delphi\LIB" subdirectory and follow the
  above installation step.

  You can remove the component at any time the same way, except choose
  "Options | Install Components" and choose "CapsEdit" to remove.

  Usage:
  The TCapsEdit can be used just like a standard TEdit component, except that
  the first letter and every letter following a space will be capitalized.

  Limitations:
  The normal TEdit's "OnKeyPress" event is overridden in this component, so any
  code you may put in the "FormName.CapsEditOnKeyPress()" event in your program
  will be ignored.
}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TCapsEdit = class(TEdit)
  private
    { Private declarations }
  protected
    { Protected declarations }
    procedure KeyPress(var Key: Char); override;
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure TCapsEdit.KeyPress(var Key: Char);
begin
    if (SelStart = 0) or (Text[SelStart] = ' ') then
       Key:=UpCase(Key); 
end;

procedure Register;
begin
  RegisterComponents('Samples', [TCapsEdit]);
end;

end.
